petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMultHermitianTranspose

Computes matrix Hermitian transpose times a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultHermitianTranspose(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec Many br

### Input Parameters

| mat | - the matrix Many br
| x | - the vector to be multilplied Many br

### Output Parameters

y -the result Many br

### Notes

The vectors x and y cannot be the same. I.e., one cannot Many brcall MatMultHermitianTranspose(A,y,y). Many br

Also called the conjugate transpose, complex conjugate transpose, or adjoint. Many br

For real numbers MatMultTranspose() and MatMultHermitianTranspose() are identical. Many br

Many br

### See Also

MatMult(), MatMultAdd(), MatMultHermitianTransposeAdd(), MatMultTranspose()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages